Subject: bug#36603: [PATCH] Simplify calling convention of describe_map

From: Noam Postavsky <[email-masked]>
Date: Tue, 20 Aug 2019 12:00:35 -0400

Noam Postavsky <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> +  Lisp_Object seen_orig = Qnil;
>> +  Lisp_Object *seen = &seen_orig;
>
> Do we really need the seen_orig variable?  It looks like there is no
> reason for having seen as a pointer at all, but maybe I'm missing
> something.

Actually, maybe the patch is wrong (i.e., over-simplifying), because it
has describe_map start with a fresh seen pointer each time; but the
current code passes the same pointer to each describe_map call in a
loop.